Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.stack.model
Interface VStackLayout

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, VContainedElement, VElement

All Known Implementing Classes:
  VStackLayoutImpl

    public interface VStackLayout

extends VContainedElement

A representation of the model object 'Layout'.

The following features are supported:

- `Domain Model Reference`
- `Stack Items`
- `Top Element`

See Also:
  `VStackPackage.getStackLayout()`

Method Summary
`VDomainModelReference` | `getDomainModelReference()` Returns the value of the 'Domain Model Reference' containment reference.
`org.eclipse.emf.common.util.EList<VStackItem>` | `getStackItems()` Returns the value of the 'Stack Items' containment reference list.
`VStackItem` | `getTopElement()` Returns the value of the 'Top Element' reference.
`void` | `setDomainModelReference(VDomainModelReference value)` Sets the value of the '`Domain Model Reference`' containment reference.
`void` | `setTopElement(VStackItem value)` Sets the value of the '`Top Element`' reference.

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VElement
`getAttachments, getDiagnostic, getLabel, getName, isEnabled, isReadonly, isVisible, setDiagnostic, setEnabled, setLabel, setName, setReadonly, setVisible`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDomainModelReference

    VDomainModelReference getDomainModelReference()

  Returns the value of the 'Domain Model Reference' containment reference.

  If the meaning of the 'Domain Model Reference' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Domain Model Reference' containment reference.
  See Also:
    `setDomainModelReference(VDomainModelReference)`, `VStackPackage.getStackLayout_DomainModelReference()`

### setDomainModelReference

    void setDomainModelReference(VDomainModelReference value)

  Sets the value of the '`Domain Model Reference`' containment reference.

  Parameters:
    `value` - the new value of the 'Domain Model Reference' containment reference.
  See Also:
    `getDomainModelReference()`

### getStackItems

    org.eclipse.emf.common.util.EList<VStackItem> getStackItems()

  Returns the value of the 'Stack Items' containment reference list. The list contents are of type `VStackItem`.

  If the meaning of the 'Stack Items' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Stack Items' containment reference list.
  See Also:
    `VStackPackage.getStackLayout_StackItems()`

### getTopElement

    VStackItem getTopElement()

  Returns the value of the 'Top Element' reference.

  If the meaning of the 'Top Element' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Top Element' reference.
  See Also:
    `setTopElement(VStackItem)`, `VStackPackage.getStackLayout_TopElement()`

### setTopElement

    void setTopElement(VStackItem value)

  Sets the value of the '`Top Element`' reference.

  Parameters:
    `value` - the new value of the 'Top Element' reference.
  See Also:
    `getTopElement()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.